{
  "name": "bmi-app",
  "appid": "__UNI__1E3B7BA",
  "description": "",
  "versionName": "1.0.1",
  "versionCode": 101,
  "transformPx": false,
  /* 5+App特有相关 */
  "app-plus": {
    "usingComponents": true,
    "nvueStyleCompiler": "uni-app",
    "compilerVersion": 3,
    "splashscreen": {
      "alwaysShowBeforeRender": true,
      "waiting": true,
      "autoclose": true,
      "delay": 0
    },
    /* 模块配置 */
    "modules": {
      "Bluetooth": {},
      "Camera": {},
      "VideoPlayer": {},
      "SQLite": {}
    },
    /* 应用发布信息 */
    "distribute": {
      /* android打包配置 */
      "android": {
        "permissions": [
          "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
          "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
          "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
          "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
          "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CAMERA\"/>",
          "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
          "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
          "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
          "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
          "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
          "<uses-feature android:name=\"android.hardware.camera\"/>",
          "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
        ]
      },
      /* ios打包配置 */
      "ios": {
        "dSYMs": false
      },
      /* SDK配置 */
      "sdkConfigs": {
        "ad": {}
      },
      "icons": {
        "android": {
          "ldpi": "unpackage/res/icons/48x48.png",
          "mdpi": "unpackage/res/icons/48x48.png",
          "hdpi": "unpackage/res/icons/72x72.png",
          "xhdpi": "unpackage/res/icons/96x96.png",
          "xxhdpi": "unpackage/res/icons/144x144.png",
          "xxxhdpi": "unpackage/res/icons/192x192.png"
        },
        "ios": {
          "appstore": "unpackage/res/icons/1024x1024.png",
          "ipad": {
            "app": "unpackage/res/icons/76x76.png",
            "app@2x": "unpackage/res/icons/152x152.png",
            "notification": "unpackage/res/icons/20x20.png",
            "notification@2x": "unpackage/res/icons/40x40.png",
            "proapp@2x": "unpackage/res/icons/167x167.png",
            "settings": "unpackage/res/icons/29x29.png",
            "settings@2x": "unpackage/res/icons/58x58.png",
            "spotlight": "unpackage/res/icons/40x40.png",
            "spotlight@2x": "unpackage/res/icons/80x80.png"
          },
          "iphone": {
            "app@2x": "unpackage/res/icons/120x120.png",
            "app@3x": "unpackage/res/icons/180x180.png",
            "notification@2x": "unpackage/res/icons/40x40.png",
            "notification@3x": "unpackage/res/icons/60x60.png",
            "settings@2x": "unpackage/res/icons/58x58.png",
            "settings@3x": "unpackage/res/icons/87x87.png",
            "spotlight@2x": "unpackage/res/icons/80x80.png",
            "spotlight@3x": "unpackage/res/icons/120x120.png"
          }
        }
      }
    },
    "nativePlugins": {
      "Aq-ChooseFile": {
        "__plugin_info__": {
          "name": "文件选择，支持自定义路径，自定义筛选类型，多选",
          "description": "支持android 11（30）文件选择，支持自定义路径",
          "platforms": "Android",
          "url": "https://ext.dcloud.net.cn/plugin?id=5263",
          "android_package_name": "",
          "ios_bundle_id": "",
          "isCloud": true,
          "bought": 1,
          "pid": "5263",
          "parameters": {}
        }
      },
      "wrs-usbSerial": {
        "__plugin_info__": {
          "name": "OTG USB串口、CP210X、CDC、FTDI、PL2303、CH34X等 - [试用版，仅用于自定义调试基座]",
          "description": "android OTG USB串口通讯，无需root权限系统，串口参数支持波特率、数据位、校验位、停止位、流控,支持CP210X、CDC、FTDI、PL2303、CH34X、CP2130 SPI-US",
          "platforms": "Android",
          "url": "https://ext.dcloud.net.cn/plugin?id=12157",
          "android_package_name": "",
          "ios_bundle_id": "",
          "isCloud": true,
          "bought": 0,
          "pid": "12157",
          "parameters": {}
        }
      }
    }
  },
  /* 快应用特有相关 */
  "quickapp": {},
  /* 小程序特有相关 */
  "mp-weixin": {
    "appid": "",
    "setting": {
      "urlCheck": false
    },
    "usingComponents": true
  },
  "mp-alipay": {
    "usingComponents": true
  },
  "mp-baidu": {
    "usingComponents": true
  },
  "mp-toutiao": {
    "usingComponents": true
  },
  "uniStatistics": {
    "enable": false
  },
  "vueVersion": "3",
  "h5": {
    "title": "BMI",
    "devServer": {
      "disableHostCheck": true
    }
  }
}
